<template>
  <div>
     <!-- CARDS PARA REGISTRO DE DISCOS -->
  
    <el-card v-if="numberOrder !== ' '" :body-style="{ padding: '2.5rem 3rem 1rem'}">
      <el-row style="margin-bottom: 1rem ">
        <el-col :span="17">
          <el-button  @click="$emit('eventEmit')" size="medium" class="bolt-light" :type="colorButton" v-text="stateOrder"> </el-button> 
        </el-col>           
        <el-col :span="7" class="text-end">
          <img v-if="stateOrder == 'PENDIENTE'" @click="$emit('eventEdit')" src="../assets/images/edit.svg"  alt="edit" width="33" style="display: inline">
          <img  @click="returnButtonModal = true" src="../assets/images/basura-2.svg" alt="basura" width="33" style="display:inline; margin-left: 0.5rem">
        </el-col>
      </el-row>
      <el-row style="margin: 5rem 0 3rem 0" >
        <el-col :span="10" class="bg-gray" style="padding: 8px">
          <span class="text-orange text-bold">N° DE PEDIDO:</span>
          <span v-text="numberOrder" style="margin-left:1rem" class="text-bold"></span>
        </el-col>
      </el-row>    
      <el-row style="margin-bottom: 1rem">
        <el-col :span="12">
          <p style="margin-bottom: 1rem">
            <span class="fonts-bold-general" style="margin-right:1rem">Fecha de Pedido:</span><span v-text="dateOfOrder"></span>
          </p>
          <p style="margin-bottom: 1rem">
            <span class="fonts-bold-general" style="margin-right:1rem">Soporte de Pedido:</span><span v-text="orderSupport"></span>
          </p>
        </el-col>
        <el-col :span="12">
          <p style="margin-bottom: 1rem">
            <span class="fonts-bold-general" style="margin-right:1rem">N° de Discos Pedidos:</span><span v-text="numberOfDiscsOrdered"></span>
          </p>
          <p style="margin-bottom: 1rem">
            <span class="fonts-bold-general" style="margin-right:1rem">N° de Discos Pendientes:</span><span v-text="pendingDisc"></span>
          </p>
        </el-col>
      </el-row>
    </el-card>

     <!-- CARDS  -->
    <el-card v-else :body-style="{ padding: '2.5rem 3rem 1rem'}" style="height:320px !important;">
      <el-row style="margin-bottom: 1rem; ">
        <el-col :span="7" :offset="15">
          <el-button @click="$emit('eventEmit')" size="medium" class="bolt-light" :type="colorButton" v-text="stateOrder"> </el-button> 
        </el-col> 
      </el-row>
      <el-row style="margin: 3rem 0 2rem; padding: 8px;">
        <el-col :span="20">
          <h4 v-text="originalTitle"> </h4>
        </el-col>
      </el-row>
      <el-row style="margin-bottom: 1rem">
        <el-col :span="18" class="bg-pink-medium" style="padding:7px">
          <span class="fonts-bold-general" style="margin-right: 10px;"> Código del Material: </span>
          <span v-text="codMaterial"></span>
        </el-col>
      </el-row>
      <el-row style="margin-bottom: 1rem">
        <el-col :span="18" class="bg-gray-light" style="padding:7px">
          <span class="fonts-bold-general" style="margin-right: 10px;"> {{titleToShow}}: </span>
          <span v-text="dataToShow"></span>
        </el-col>
      </el-row>
    </el-card>

    <AppModal :show-dialog.sync="returnButtonModal"   v-if="returnButtonModal" nameClass="dialog-red"  :rutImg="require(`../assets/images/alerta.svg`)" sizeImg="80px"  textBold="¡Un momento!" 
      :parrafo="'¿Estas seguro que quieres eliminar el pedido registrado?'" btn1="SI, ELIMINAR" btn2="CANCELAR" classBtn1="border-red" typeBtn1="danger"
        @btnEvent="changeStatus"
        v-on:eventBtn="returnButtonModal = false" >
    </AppModal> 

  </div>
</template>

<script>

import AppModal from '@/components/AppModal.vue'

  export default {
   components: {
     AppModal
    },
    props: {
      stateOrder: {
       type: String
      },
      colorButton: {
        type: String
      },
      numberOrder: {
        type: String
      },
      dateOfOrder: {
        type: String
      },
      orderSupport:{
        type: String
      },
      numberOfDiscsOrdered: {
        type: String
      },
      pendingDisc:[Number, String],
      originalTitle: {
        type: String,
        required: false
      },
      codMaterial: {
        type: String,
        required: false
      },
      titleToShow: {
        type: String,
        required: false
      },
      dataToShow: {
        type: [Object, String],
        required: false
      },
    },
    data() {
      return {
        returnButtonModal: false,
      }
    },
    methods: {
      changeStatus(item) {
        this.returnButtonModal = false
        this.$emit('status', item)
     },
    }
  }
</script>


